Bug 10940 - On boot ppp connection claims to have failed
On boot ppp connection claims to have failed
Product: Red Hat Linux
Classification: Retired
Component: ppp (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Depends On:
  Show dependency treegraph
Reported: 2000-04-20 07:27 EDT by Declan Mullen
Modified: 2008-05-01 11:37 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-04-22 07:38:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Declan Mullen 2000-04-20 07:27:31 EDT
On boot my ppp connection is reported on the console to have failed
and I'm told that it will retry in the background. "/var/log/messages"
    ifup: Failed to activate ppp0, retrying in the background
    network: Bringing up interface ppp0 failed
However by the time boot is over the ppp connection has succeeded and
only the one dial out is done. Connecting while the system is not booting
does not produce this false error.

I'm thinking that this is a timing issue. Maybe my old 486 is so busy
at bootup that pppd is not connecting fast enough and something (maybe
ppp-watch) is timing out.

Any ideas ? Maybe there is a way to tell ppp-watch to wait longer ?
(maybe ppp-watch is not the issue at all).


Comment 1 Declan Mullen 2000-04-22 07:38:59 EDT
I have solved the problem by modifying the source code of ppp-watch
so that on bootup it times out after 60secs rather than 30secs. The change was
simple, within "ppp-watch.c" replace "alarm(30);" with "alarm(60);"
and then recompile. I found the source code within the initscripts source rpm,
eg "initscripts-4_70-1_src.rpm".

If there was a better way to solve this problem please let me know, thanks.

All the best,
Comment 2 Nalin Dahyabhai 2000-09-12 15:00:47 EDT
Setting the RETRYTIMEOUT value in /etc/sysconfig/network-scripts/ifcfg-pppX
should produce the same effect in future releases.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.